package com.ruoyi.system.service;

import com.ruoyi.common.core.domain.AjaxResult;
import com.ruoyi.system.domain.sqmy.SqmyUnitReply;

import java.util.List;

/**
 * 社情民意单位答复Service接口
 * 
 * @author boman
 * @date 2024-03-15
 */
public interface ISqmyUnitReplyService 
{
    /**
     * 查询社情民意单位答复
     * 
     * @param id 社情民意单位答复主键
     * @return 社情民意单位答复
     */
    public SqmyUnitReply selectSqmyUnitReplyById(Long id);

    /**
     * 查询社情民意单位答复列表
     * 
     * @param sqmyUnitReply 社情民意单位答复
     * @return 社情民意单位答复集合
     */
    public List<SqmyUnitReply> selectSqmyUnitReplyList(SqmyUnitReply sqmyUnitReply);

    /**
     * 新增社情民意单位答复
     * 
     * @param sqmyUnitReply 社情民意单位答复
     * @return 结果
     */
    public int insertSqmyUnitReply(SqmyUnitReply sqmyUnitReply);

    /**
     * 修改社情民意单位答复
     * 
     * @param sqmyUnitReply 社情民意单位答复
     * @return 结果
     */
    public int updateSqmyUnitReply(SqmyUnitReply sqmyUnitReply);

    /**
     * 批量删除社情民意单位答复
     * 
     * @param ids 需要删除的社情民意单位答复主键集合
     * @return 结果
     */
    public int deleteSqmyUnitReplyByIds(Long[] ids);

    /**
     * 删除社情民意单位答复信息
     * 
     * @param id 社情民意单位答复主键
     * @return 结果
     */
    public int deleteSqmyUnitReplyById(Long id);

    AjaxResult reply(SqmyUnitReply sqmyUnitReply);
}
